curl -X POST "$API/emm/strike-requests" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"marketId": "550e8400-e29b-41d4-a716-446655440000",
"strike": 300.5
}'import requests
url = "https://api.novig.com/nbx/v2/emm/strike-requests"
payload = {
"marketId": "550e8400-e29b-41d4-a716-446655440000",
"strike": 300.5
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({marketId: '550e8400-e29b-41d4-a716-446655440000', strike: 300.5})
};
fetch('https://api.novig.com/nbx/v2/emm/strike-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Strike request created for TOR @ CLE at 300.5"
}Request new market strike
Request a new strike for an existing market. This sends a notification to the Novig team, who may then choose to create the market. A successful response does not guarantee that the market will be created.
The strike value accepts whole numbers or half-points (values ending in .5). Whole numbers are automatically converted to .5 strikes (e.g. 300 becomes 300.5).
The request will be rejected if a market with the same event, type, player, and strike already exists.
Rate limit: 32 requests per second.
curl -X POST "$API/emm/strike-requests" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"marketId": "550e8400-e29b-41d4-a716-446655440000",
"strike": 300.5
}'import requests
url = "https://api.novig.com/nbx/v2/emm/strike-requests"
payload = {
"marketId": "550e8400-e29b-41d4-a716-446655440000",
"strike": 300.5
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({marketId: '550e8400-e29b-41d4-a716-446655440000', strike: 300.5})
};
fetch('https://api.novig.com/nbx/v2/emm/strike-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Strike request created for TOR @ CLE at 300.5"
}Body
The ID of an existing market to request a new strike for
"550e8400-e29b-41d4-a716-446655440000"
The requested strike value. Accepts whole numbers (e.g. 300) or half-points (e.g. 300.5). Whole numbers are automatically converted to .5 strikes.
300.5
Response
Strike request submitted
Confirmation message with the event description and final strike value
"Strike request created for TOR @ CLE at 300.5"

